package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * Created by Administrator on 2016/10/11.
 */

public class KcpdInfo {


    /**
     * Rows : [{"qdid":"005e8713202c4314bd6e371a5686c3bc","pdid":"1a867997255f40a8afb0a845985c3469","itemnum":"IT40001","binnum":"3Q01-011R","curbal":"200","physcnt":"300","in6":"生产公用","description":"911非焦油聚氨脂防水涂料（B料）","lastcost":"8.55","ispd":"1","pdsl":"0"},{"qdid":"c47de69dc4e446e6ac380c157c574c92","pdid":"1a867997255f40a8afb0a845985c3469","itemnum":"IT40001","binnum":"3Q01-032燃料","curbal":"0","physcnt":"200","in6":"生产公用","description":"911非焦油聚氨脂防水涂料（B料）","lastcost":"8.55","ispd":"1","pdsl":"0"}]
     * Total : 2
     */

    private int Total;
    /**
     * qdid : 005e8713202c4314bd6e371a5686c3bc
     * pdid : 1a867997255f40a8afb0a845985c3469
     * itemnum : IT40001
     * binnum : 3Q01-011R
     * curbal : 200
     * physcnt : 300
     * in6 : 生产公用
     * description : 911非焦油聚氨脂防水涂料（B料）
     * lastcost : 8.55
     * ispd : 1
     * pdsl : 0
     */

    private List<kcpd> Rows;

    public int getTotal() {
        return Total;
    }

    public void setTotal(int Total) {
        this.Total = Total;
    }

    public List<kcpd> getRows() {
        return Rows;
    }

    public void setRows(List<kcpd> Rows) {
        this.Rows = Rows;
    }

    public static class kcpd {
        private String qdid;
        private String pdid;
        private String itemnum;
        private String binnum;
        private String curbal;
        private String physcnt;
        private String in6;
        private String description;
        private String lastcost;
        private String ispd;
        private String pdsl;
        private boolean isFlag;
        private String pdr;
        private String sjpdzt;//盘点状态，1新增，2覆盖，3相加
        private String bz;
        private String uname;
        private String stocktype;
        private String orderunit;

        public String getStocktype() {
            return stocktype;
        }

        public void setStocktype(String stocktype) {
            this.stocktype = stocktype;
        }

        public String getOrderunit() {
            return orderunit;
        }

        public void setOrderunit(String orderunit) {
            this.orderunit = orderunit;
        }

        public String getUname() {
            return uname;
        }

        public void setUname(String uname) {
            this.uname = uname;
        }

        public String getBz() {
            return bz;
        }

        public void setBz(String bz) {
            this.bz = bz;
        }

        public String getSjpdzt() {
            return sjpdzt;
        }

        public void setSjpdzt(String sjpdzt) {
            this.sjpdzt = sjpdzt;
        }

        public String getPdr() {
            return pdr;
        }

        public void setPdr(String pdr) {
            this.pdr = pdr;
        }

        public boolean isFlag() {
            return isFlag;
        }

        public void setFlag(boolean flag) {
            isFlag = flag;
        }

        public String getQdid() {
            return qdid;
        }

        public void setQdid(String qdid) {
            this.qdid = qdid;
        }

        public String getPdid() {
            return pdid;
        }

        public void setPdid(String pdid) {
            this.pdid = pdid;
        }

        public String getItemnum() {
            return itemnum;
        }

        public void setItemnum(String itemnum) {
            this.itemnum = itemnum;
        }

        public String getBinnum() {
            return binnum;
        }

        public void setBinnum(String binnum) {
            this.binnum = binnum;
        }

        public String getCurbal() {
            return curbal;
        }

        public void setCurbal(String curbal) {
            this.curbal = curbal;
        }

        public String getPhyscnt() {
            return physcnt;
        }

        public void setPhyscnt(String physcnt) {
            this.physcnt = physcnt;
        }

        public String getIn6() {
            return in6;
        }

        public void setIn6(String in6) {
            this.in6 = in6;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getLastcost() {
            return lastcost;
        }

        public void setLastcost(String lastcost) {
            this.lastcost = lastcost;
        }

        public String getIspd() {
            return ispd;
        }

        public void setIspd(String ispd) {
            this.ispd = ispd;
        }

        public String getPdsl() {
            return pdsl;
        }

        public void setPdsl(String pdsl) {
            this.pdsl = pdsl;
        }
    }
}
